Subject: Re: [Bitcoin-development] Proposal for a new opcode

From: Michael Grønager <[email-masked]>
Date: Mon, 5 Mar 2012 15:14:07 +0100

Sounds interesting, however, even after a couple of days, I cannot see how you maintain protection against double spend using OP_CHECKEXPSIG. It is not until you redeem the OP_CHECKEXPSIG transaction that you reveal which former transactions that was involved?

I guess I am missing a point here?

/M

On 02/03/2012, at 20:57, Watson Ladd wrote:

> Dear all,
> I am proposing a new opcode for the purposes of anonymous
> transactions. This new opcode enables scripts to be given proof that
> the receiver can carry out or has carried out a previous transaction.
> I'm currently working on a paper that discusses using this opcode for
> anonymous transactions.
> 
> Name: OP_CHECKEXPSIG
> Stack before: <sig><pk><hash>
> Stack after: T/F, where is true if sig is a ECDSA signature under pk
> for the hash hash. (Hash is the hash of a message).
> Uses: Preexisting digital cash techniques relied on keeping track of a
> list of turned in notes to forbid double spending. Using
> OP_CHECKEXPSIG we can instead pass the script that gives the nth note
> value proof that the notes {1,...n-1} were turned in and are distinct.
> This enables a coupling of the strong double spend protection of
> Bitcoin with traditional digital cash's strong anonymity.
> 
> Sincerely,
> Watson Ladd
> 
> ------------------------------------------------------------------------------
> Virtualization & Cloud Management Using Capacity Planning
> Cloud computing makes use of virtualization - but cloud computing 
> also focuses on allowing computing to be delivered as a service.
> http://www.accelacomm.com/jaw/sfnl/114/51521223/
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development

Michael Gronager, PhD
Director, Ceptacle
Jens Juels Gade 33
2100 Copenhagen E
Mobile: +45 31 45 14 01
E-mail: [email-masked]
Web: http://www.ceptacle.com/